Part Prisma

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Part Prism and the translation is 71% complete.

Part Prisma

Menüeintrag
Formteil → Grundkörper erzeugen... → Prisma
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Primitives

Beschreibung

Ein Part Prisma ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch seine Daten-EigenschaftPlacement festgelegt, liegt die Unterseite des Prismas auf der XY-Ebene mit seinem Mittelpunkt im Ursprung und einem seiner Eckpunkte auf der X-Achse.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Prisma aus dem Skriptbeispiel

Ein Part-Prisma-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde, wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Prism-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DatenPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatenCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.
  • DatenHeight (Length): The height of the prism. The default is 10mm.
  • DatenFirst Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is .
  • DatenSecond Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is .

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()